postgresql-snap - Bug #5325
missing libpq?
11/08/2016 10:32 AM - Joshua Drake

Status: Resolved Start date: 11/08/2016
Priority: Normal Due date:

Assignee: Ivan Lezhnjov % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

jd@snap0:~/postgresql-snap/postgresql93/9.3.15% sudo su -
root@snap0:~# snap find postgres

Name Version Developer Notes Summary

postgresql96 9.6.1 cmd - PostgreSQL is a powerful, open source object-relational database system.
postgresqgl95 9.5.5 cmd - PostgreSQL is a powerful, open source object-relational database system.
postgresql94 9.4.10 cmd - PostgreSQL is a powerful, open source object-relational database system.
postgresql93 9.3.15 cmd - PostgreSQL is a powerful, open source object-relational database system.
postgresql-9-6 9.6.0 stub - PostgreSQL 9.6 relational database server

conn-check  1.3.2-2 1stvamp -  Utility for verifying connectivity between services

root@snap0:~# snap install postgresql96

postgresql96 (stable) 9.6.1 from 'cmd' installed

root@snap0:~# exit

logout

jd@snap0:~/postgresql-snap/postgresql93/9.3.15$ cd

jd@snap0:~$ postgresql96.initialize initdb

Generating a new locale in /home/jd/snap/postgresql96/4/locales/en_US.UTF-8...
Setting up PostgreSQL environment...

Data directory: /home/jd/snap/postgresql96/common/data

Logs directory: /home/jd/snap/postgresql96/common/logs

psql history directory: /home/jd/snap/postgresql96/common/history

.psqlrc file: /home/jd/snap/postgresql96/common/.psqlrc

Checking if initdb has already been run before. If not, a new cluster will be created.
The files belonging to this database system will be owned by user "jd".

This user must also own the server process.

The database cluster will be initialized with locale "en_US.UTF-8".
The default database encoding has accordingly been set to "UTF8".
The default text search configuration will be set to "english".

Data page checksums are disabled.

fixing permissions on existing directory /home/jd/snap/postgresql96/common/data ... ok
creating subdirectories ... ok

selecting default max_connections ... 100

selecting default shared_buffers ... 128MB

selecting dynamic shared memory implementation ... sysv

creating configuration files ... ok

running bootstrap script ... ok

performing post-bootstrap initialization ... ok

syncing data to disk ... ok

WARNING: enabling "trust" authentication for local connections

You can change this by editing pg_hba.conf or using the option -A, or

--auth-local and --auth-host, the next time you run initdb.

Success. You can now start the database server using:

/snap/postgresql96/4/usr/bin/pg_ctl -D /home/jd/snap/postgresql96/common/data -1 logfile start
jd@snap0:~$ /snap/postgresql96/4/usr/bin/pg_ctl -D /home/jd/snap/postgresql96/common/data -l logfile start

/snap/postgresql96/4/usr/bin/pg_ctl: error while loading shared libraries: libpg.s0.5: cannot open shared object file: No such file or
directory
jd@snap0:~$

History

#1 - 11/08/2016 10:39 AM - Joshua Drake

| would note that this is on a raw, clean VM. (no previous installs of postgresql etc...)

#2 - 11/09/2016 11:28 AM - Joshua Drake

As a note, this does work:

/snap/postgresgl93/4/usr/bin/postgres -D /home/jd/snap/postgresqgl93/common/data
#3 - 11/11/2016 05:14 AM - lvan Lezhnjov

- Status changed from New to Feedback

- Assignee set to Ivan Lezhnjov

- % Done changed from 0 to 100

JD,

I've updated documentation to explain how commands are supposed to be run
https://github.com/commandprompt/postgresql-snap#running-commands

lvan

#4 - 11/18/2016 12:40 AM - lvan Lezhnjov

- Status changed from Feedback to Resolved
